# $EPIC: sleep,v 1.4 2005/03/11 04:55:04 jnelson Exp $
Synopsis:
   sleep <seconds>

Description:
   SLEEP performs a blocking sleep for <second> seconds.  During the
   sleep, the client is totaly inert and peforms no activity of any kind.
   It does not accept user input, it does not look for data from the server,
   it does not process your DCC's, it does absolutely nothing.  When SLEEP
   returns, everything is exactly as it was before the sleep.

   Please remember that data from the server is not processed during a 
   SLEEP so you don't want to use that if you are waiting for a server
   command to reply.  Use WAIT for that.  

   Up through and including EPIC4-1.1.1, <seconds> has to be a whole integer.
   EPIC4-1.1.2 and later can support <seconds> with subsecond precision.

See Also:
   timer(5); wait(5); sleep(5)

History:
   The SLEEP command already existed in ircII2.1.5g.
   Support for sub-second resolution first appeared in EPIC4-1.1.2.
